<?php

namespace App\Classes\Modules\Orders\DataTransferObjects;


use App\Classes\General\Interfaces\DataTransferObject;
use App\Classes\ValueObjects\Constants\ApprovalStatus;

class OrderObject  implements DataTransferObject
{

    /** @var string */
    private $reference;

    /** @var int  */
    private $type;

    /** @var int|null  */
    private $status;

    /**
     * OrderObject constructor.
     * @param string $reference
     * @param int $type
     * @param int|null $status
     */
    public function __construct(string $reference, int $type, ?int $status)
    {
        $this->reference = $reference;
        $this->type = $type;
        $this->status = $status;
    }

    /**
     * @return string
     */
    public function getReference(): string
    {
        return $this->reference;
    }

    /**
     * @return int
     */
    public function getType(): int
    {
        return $this->type;
    }

    /**
     * @return int|null
     */
    public function getStatus(): ?int
    {
        return $this->status;
    }



}
